<?php
        session_start();

        if(file_exists("./funkce.php")) {
                include("./funkce.php");
        } else {
                die("Soubor <b>funkce.php</b> nebyl nalezen!");
        }

        nutna_registrace();
        $js_form = js_form();

        $time = date("U");
        dotaz("DELETE FROM forum_zap_heslo WHERE time < '$time';");

        if(isset($_POST[poslat])) {
                if(!empty($_POST[nepln])) { exit(); }
                $chyba_heslo .= overeni_vyplneni($_POST[email], "Email");
                $email = orez_retezec($_POST[email]);
                if($email) {
                        $cast1 = '[-a-z0-9!#$%&\'*+/=?^_`{|}~]';
                        $cast2 = '[a-z0-9]([-a-z0-9]{0,61}[a-z0-9])';
                        if(!eregi("^$cast1+(\\.$cast1+)*@($cast2?\\.)+$cast2\$", $email)) {
                                $chyba_heslo .= "&nbsp;- email je uveden v nesprávném formátu (jmeno@domena.koncovka)<br />";
                        }
                }

                if(empty($chyba_heslo)) {
                        $query = dotaz("SELECT id,email FROM forum_uzivatele WHERE email = '$email';");
                        if(mysql_num_rows($query) == 0) { $chyba_heslo .= "&nbsp;- email <strong>".$_POST[email]."</strong> nenáleží žádnému účtu<br />"; }
                        $row = mysql_fetch_array($query);
                }

                if(!empty($chyba_heslo)) {
                        $chyba_heslo = "<b>Heslo nebylo odesláno. Možné příčiny:</b><br />".$chyba_heslo."<br />";
                } else {
                        $klic_heslo = md5($time);
                        $time = $time + 24 * 3600;
                        $heslo_url = "http://".$_SERVER[SERVER_NAME].$_SERVER[REQUEST_URI];
                        $heslo_url = str_replace("heslo.php", "heslo.php?klic=", $heslo_url);
                        $zprava = "Pro nastavení nového hesla klikněte na následující odkaz: <a href=\"".$heslo_url.$klic_heslo."\">".$heslo_url.$klic_heslo."</a>";
                        $predmet = "Zapomenute heslo";
                        $hlavicky .= "From: $odesilatel <$email>\n";
                        $hlavicky .= "X-Sender: <$email>\n";
                        $hlavicky .= "Content-Type: text/html; charset=utf-8\n";
                        mail($email, $predmet, $zprava, $hlavicky);
                        dotaz("INSERT INTO forum_zap_heslo SET id_uzivatele = '$row[id]', klic = '$klic_heslo', time = '$time';");
                        $ukonceni_heslo = "Zpráva o novém hesle byla úspěšně odeslána na váš email. Změnu hesla je nutné potvrdit do 24 hodin.<br /><br />";
                }
        }

        if(isset($_GET[klic])) {
                $klic = orez_retezec_2($_GET[klic]);
                $query = dotaz("SELECT id_uzivatele FROM forum_zap_heslo WHERE klic = '$klic';");
                if(mysql_num_rows($query) == 0) { header("Location: index.php"); exit(); }
                $row = mysql_fetch_array($query);
                dotaz("DELETE FROM forum_zap_heslo WHERE klic = '$klic';");
                $znaky = Array("0","1","2","3","4","5","6","7","8","9","a","b","c","d","e","f","g","h","i","j");
                for($i = 0; $i < 6; $i++) {
                        $a = mt_rand(0,19);
                        $nove_heslo .= $znaky[$a];
                }
                $nove_heslo2 = sha1($nove_heslo);
                dotaz("UPDATE forum_uzivatele SET heslo = '$nove_heslo2' WHERE id = '$row[id_uzivatele]';");
                echo hlavicka("$forum_jmeno | Zapomenuté heslo");
                echo logo();
                echo menu();
                echo "\t<div id=\"obsah\">Vaše nové heslo je <strong>".$nove_heslo."</strong>. Nyní se s tímto můžete přihlásit a poté si jej v administraci účtu změnit.</div>\n";
        } else {
                echo hlavicka("$forum_jmeno | Zapomenuté heslo");
                echo logo();
                echo menu();
?>
        <div id="navigace">Zapomenuté heslo</div>
        <form action="heslo.php" method="post" id="heslo">
                <fieldset>
                        <legend>Vyhledávání</legend>
                        <?php echo $chyba_heslo.$ukonceni_heslo; ?>
                        Zadejte email náležící k vašemu účtu: <input type="text" name="email" <?php echo $js_form; ?> /><br /><input type="hidden" name="nepln" value="" />
                        <input type="submit" name="poslat" value="Odeslat" id="poslat" />
                </fieldset>
        </form>
<?php 
        }
        echo $paticka; 
?>